> For the complete documentation index, see [llms.txt](https://docs.itgrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.itgrix.com/for-admins/use-of-a-external-storage-system.md).

# Use of a external storage system

**To use a external storage system, you must specify the following module settings:**

1\) In the “**Asterisk**” section, enter the server address that will host the recordings in the “recordings\_dir” field.

Example, `"recordings_dir": "http://sip.records.ru:8123"`

2\) In the “App” section, set the `“store_recordings_in_crm”` field to **false**:

`"store_recordings_in_crm": false`

Once the call is complete, the CRM will display a link to a module containing a command to download the file and the call parameters (such as get\_record\_\[call\_id]\_from..\_to…)

When you click this link:

1\) the module queries the CDR table and retrieves the file name from the `recordingfile` field;

2\) the module appends the value of the `"recordings_dir"` variable from the configuration to the file name;

3\) it redirects the request to the server address containing the recordings

(the address must begin with “http\://”, “https\://”, “//”, or “ftp\://”; otherwise, the file is not found).

**The result is a link that looks like this:**

`http://sip.records.ru:8123/file_name.mp3`

If the `“recordings_dir_subdirs_by_date”` parameter is set to **true**, then:

`http://sip.records.ru:8123/2018/02/02/file_name.mp3`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.itgrix.com/for-admins/use-of-a-external-storage-system.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
